This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 764364 (GLUSTER-2632)

Summary: possible memory overflow in one of the code paths in volume gsync stop
Product: [Community] GlusterFS Reporter: kaushik <kbudiger>
Component: glusterdAssignee: kaushik <kbudiger>
Status: CLOSED CURRENTRELEASE QA Contact:
Severity: low Docs Contact:
Priority: medium    
Version: mainlineCC: gluster-bugs, rabhat
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description kaushik 2011-03-30 06:13:34 EDT

    
Comment 1 Vijay Bellur 2011-03-30 08:22:14 EDT
PATCH: http://patches.gluster.com/patch/6643 in master (mgmt/Glusterd: prevent memory overflow)
Comment 2 Raghavendra Bhat 2011-04-13 03:27:10 EDT
Its fixed. Now the buffer size if 1024 bytes instead of 256.